
TYPO3.Neos - Task # 7549

Status: Closed Priority: Won't have this time
Author: Sebastian Kurfuerst Category:
Created: 2010-04-30 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-31 Due date:
Subject: Implement a generic configuration container available in JavaScript
Description

We need to transfer some configuration data from PHP to JavaScript, like URLs which should be called, and the like.

After discussion with Nils, we came up with the following proposal:
The JS configuration should be found at
F3.TYPO3.Config.[Modulename].[module specific configuration], so for login, it could be:
F3:TYPO3.Config.Login.authenticationControllerUri

This needs to be built on the server side.

Related issues:
related to Base Distribution - Story # 7214: As a Editor I want to login and ... Resolved 2010-04-11

History
#1 - 2010-04-30 11:42 - Sebastian Kurfuerst
- % Done changed from 0 to 60

after discussion with robert, we decided not to make all URLs configurable, but instead make only the base URL configurable. this has been
commmitted in r4247.

#2 - 2010-05-27 17:47 - Karsten Dambekalns
- Target version changed from 518 to 550

#3 - 2010-07-03 21:15 - Robert Lemke
- Status changed from Accepted to Closed
- Priority changed from Must have to Won't have this time

Closed (won't implement this time)

#4 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (550)

#5 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
